%define oversion 0.23.0

Name: x11-driver-input-wacom
Version: 0.28.0
Release: %mkrel 4
Summary: X.org input driver for Wacom tablets
Group: System/X11
URL: http://www.x.org/
Source0: http://prdownloads.sourceforge.net/linuxwacom/xf86-input-wacom-%{oversion}.tar.xz
Source1: 65-xorg-wacom.rules
Patch58: xf86-input-wacom-no-n-trig.diff
License: GPLv2+
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: libxi-devel
BuildRequires: libxrandr-devel
BuildRequires: x11-server-devel
Requires: x11-server-common %(xserver-sdk-abi-requires xinput)
Obsoletes: linuxwacom <= 0.10.11
Obsoletes:  libwacom0
Provides: linuxwacom = %{version}-%{release}

%description
X.Org X11 wacom input driver for Wacom tablets.

%package devel
Summary: Development files for %{name}
Group: Development/X11
License: MIT

Obsoletes: %{_lib}wacom-devel <= 0.10.11
Provides: %{_lib}wacom-devel = %{version}-%{release}

%description devel
Development files for %{name}

%prep
%setup -q -n xf86-input-wacom-%{oversion}
%patch58 -p1

%build
%configure2_5x --with-xorg-conf-dir=/etc/X11/xorg.conf.d

%make

%install
rm -rf %{buildroot}
%makeinstall_std

#install udev rule per suse
mkdir -p %{buildroot}/lib/udev/rules.d
install -m 0644 %SOURCE1 %{buildroot}/lib/udev/rules.d/65-xorg-wacom.rules

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/xsetwacom
%{_bindir}/isdv4-serial-debugger
%{_libdir}/xorg/modules/input/wacom_drv.la
%{_libdir}/xorg/modules/input/wacom_drv.so
%{_mandir}/man4/wacom.4*
%{_mandir}/man1/xsetwacom.1*
%{_sysconfdir}/X11/xorg.conf.d/50-wacom.conf
/lib/udev/rules.d/65-xorg-wacom.rules

%files devel
%{_includedir}/xorg/*
%{_includedir}/xorg/isdv4.h
%{_libdir}/pkgconfig/xorg-wacom.pc

%pre
rm -f %{_sysconfdir}/X11/xorg.conf.d/50-wacom.conf  > /dev/null 2>&1


%changelog
* Sat Feb 28 2015 bb <bb> 0.28.0-4pclos2015
- back down to 0.23.0 to fix my touch screen on 
- my laptop
